monit-dev
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[monit-dev] [monit] r357 committed - cleanup


From: monit
Subject: [monit-dev] [monit] r357 committed - cleanup
Date: Tue, 05 Apr 2011 16:50:07 +0000

Revision: 357
Author:   address@hidden
Date:     Tue Apr  5 09:49:28 2011
Log:      cleanup
http://code.google.com/p/monit/source/detail?r=357

Deleted:
 /trunk/contrib/monit_update
 /trunk/doc/examples.html
Modified:
 /trunk/exclude

=======================================
--- /trunk/contrib/monit_update Thu Jun  4 12:28:53 2009
+++ /dev/null
@@ -1,81 +0,0 @@
-#!/bin/sh
-# Get and install the latest monit version from CVS
-#set -vx
-
-help() {
- cat << ENDTEXT
-Usage: `basename $0` [-h] installdir
-This script will download and build the latest monit from CVS and install
-monit in 'installdir'.
-ENDTEXT
-}
-
-merror() {
-   echo $1;
-       cd /tmp && rm -rf $builddir;
-       exit 1;
-}
-
-# Trap for cleanup
-trap 'merror "Aborted";' TERM INT
-
-case $# in
-1) installdir=$1;;
-*) help; exit 1;;
-esac
-
-while getopts "h" c
-do
- case $c in
-  h)  help;
-      exit 0;;
- esac
-done
-
-# Do we have write permissions in installdir?
-if [ ! -d $installdir ]
-then
-       echo "Error, '$installdir' is not a directory"
-       exit 1;
-fi
-if [ ! -w $installdir ]
-then
-       echo "Error, cannot write to $installdir -- no permission"
-       exit 1;
-fi
-
-# Be quiet
-exec 2>/dev/null
-
-# Build in /tmp
-builddir=$$_monit
-cd /tmp && mkdir $builddir && cd 1>/dev/null $builddir || { echo "Error creating build dir [/tmp/$builddir]"; exit 1; }
-
-# Get cvs version
-echo "Downloading monit from CVS, please wait.."
-export CVS_RSH=ssh
-cvs -Q -z3 -d:ext:address@hidden:/cvsroot/monit co monit || merror "Error downloading from CVS"
-cd 1>/dev/null monit
-echo "Succeded downloading monit"
-
-# Build
-echo "Building monit, please wait.."
-./autogen.sh 1>&2 || merror "Error configuring monit"
-make 1>&2 || merror "Error building monit"
-echo "Succeeded building monit"
-
-# Install
-echo 
"-------------------------------------------------------------------------------"
-VERSION=`perl -ne 'if(/AC_INIT.*\[(\w)([\.\w]+)(\-\w+)?\]/){print"$1$2$3\n";}' configure.ac`
-echo -n "Install monit version $VERSION? [y|n]? [y]"
-read variable <&1
-if [ "xn" = "x$variable" ]
-then
-               merror "Install aborted"
-fi
-cp monit $installdir || merror "Error installing monit"
-chmod 755 $installdir/monit || merror "Error, cannot set $installdir/monit as executable"
-echo "Succeded installing monit at $installdir/monit"
-
-# Remove build dir
-cd /tmp && rm -rf $builddir;
=======================================
--- /trunk/exclude      Tue Sep 21 01:12:17 2010
+++ /trunk/exclude      Tue Apr  5 09:49:28 2011
@@ -20,3 +20,7 @@
 autom4te*
 packages
 presentation.sxi
+doc
+contrib
+*.md5
+*.sha256



reply via email to

[Prev in Thread] Current Thread [Next in Thread]